﻿@model List<eCommerce.BackOffice.ViewModels.StockListViewModel>

<!-- Panel -->
<div class="panel">
    <div class="panel-body">
        <table class="editable-table table table-striped" id="editableTable" data-plugin="dataTable">
            <thead>
                <tr>
                    <th>Código</th>
                    <th>Título</th>
                    <th>Talle</th>
                    <th>Color</th>
                    <th class="col-sm-2 text-right">Stock Disponible</th>
                    <th class="col-sm-2 text-right">Stock Físico</th>
                    <th class="text-center">Detalle</th>
                </tr>
            </thead>
            <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>@item.Code</td>
                    <td>@item.Title</td>
                    <td>@item.Size</td>
                    <td>@item.Color</td>
                    <td id="StockVirtual-@item.ProductId-@item.SizeId-@item.ColorId" class="text-right">@item.StockVirtual</td>
                    <td id="StockReal-@item.ProductId-@item.SizeId-@item.ColorId" class="text-right">@item.StockReal</td>
                    
                    <td class="actions text-nowrap text-center">
                        <a href="#" onclick="ShowStockDetail('@item.ProductId','@item.SizeId', '@item.ColorId');" data-toggle="modal" data-target="#stockDetail" 
                           class="btn btn-sm btn-icon btn-pure btn-default on-default" data-original-title="Detalle de Stock"><i class="icon wb-list" aria-hidden="true"></i></a>
                    </td>
                </tr>
            }
            </tbody>
        </table>
    </div>
</div>